package com.gx.obe.evaluation.step.dialog;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.EDialog;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

import com.gx.obe.evaluation.step.composite.BidBondComposite;
import com.gx.obe.web.entity.expert.Expert;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

public class ImportBidBondDialog extends EDialog {

	private TenderProjectEntity tenderProject;
	private Composite bidBondComposite;
	private Composite container;
	private Expert expert;
	
	/**
	 * Create the dialog.
	 * @param parentShell
	 */
	public ImportBidBondDialog(Shell parentShell, TenderProjectEntity tenderProject){
		super(parentShell);
		this.tenderProject = tenderProject;
		this.setTitle("保证金");
	}

	/**
	 * Create contents of the dialog.
	 * @param parent
	 */
	protected Control createDialogArea(Composite parent) {
		container = (Composite) super.createDialogArea(parent);
		container.setData("tenderProject",tenderProject);
		GridLayout gl_container = new GridLayout(1, false);
		gl_container.verticalSpacing = 0;
		container.setLayout(gl_container);
		
		
		init();
		return container;
	}

	private void init(){
		bidBondComposite = new BidBondComposite(container,null, SWT.NONE);
		bidBondComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
	}
	

	/**
	 * Return the initial size of the dialog.
	 */
	@Override
	protected Point getInitialSize() {
		return new Point(1200, 700);
	}

}
