package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.resutl.composite.BusinessVetoEvaluationResultComposite;

/**
 * @Description: 商务评审结果事件
 * @author chenxw
 */
public class BusinessVetoEvaluationResultAction extends Action {
	
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null == actionListener) {
			return;
		}
		actionListener.onLoad(this);
		Composite parentComposite = actionListener.getParentComposite();
		parentComposite.setData("tenderProject", this.getData("tenderProject"));
		parentComposite.setData("evaluationStep", this.getData("evaluationStep"));
		actionListener.loadComposite(this, new BusinessVetoEvaluationResultComposite(parentComposite, SWT.NONE));
	}
	
}
