package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.resutl.composite.CreditEvaluationResultComposite;

/**
 * @Description: 综合信用得分结果
 * @author chenxw
 */
public class CreditEvaluationResultAction extends Action {

	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null != actionListener) {
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.OPERATOR_USERID, this.getData(Constants.OPERATOR_USERID));
			CreditEvaluationResultComposite evaluationComposite = new CreditEvaluationResultComposite(composite,this, SWT.NONE);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
