package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.resutl.composite.FeatureCodeCheckResultComposite;

/**
 * @Description: 特征码检查结果
 * @author guoyr
 */
public class FeatureCodeCheckResultAction extends Action {
		
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			FeatureCodeCheckResultComposite evaluationComposite = new FeatureCodeCheckResultComposite(composite,this, SWT.NONE);
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
