package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.PreEvaluationComposite;

public class PreEvaluationAction extends Action {
	
	public void run() {

		ActionListener actionListener = this.getListener();
		if (null == actionListener) {
			return;
		}
		actionListener.onLoad(this);
		Composite composite = actionListener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getTenderProject());
		composite.setData("evaluationStep", this.getData("evaluationStep"));
		composite.setData("tenderProjectRuleEntity", this.getData("tenderProjectRuleEntity"));
		composite.setData("curUser", this.getData("curUser"));
		composite.setData("hideLeft", this.getData("hideLeft"));
		composite.setData("isAudit", this.getData("isAudit"));
		PreEvaluationComposite evaluationComposite = new PreEvaluationComposite(composite, SWT.NONE);
		evaluationComposite.addExpertEvaluationListener((ExpertEvaluationListener) this.getData("expertEvaluationListener"));
		actionListener.loadComposite(this, evaluationComposite);
	
	}
	
}
