package com.gx.obe.evaluation.step.review.action;


import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.composite.TianYanCheckComposite;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;


/**
 * @Description: 天眼查关联关系
 * @author wangx
 */
public class TianYanCheckEvaluationAction extends Action {
	public void run(){
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProject", this.getData("tenderProjectEntity"));
			composite.setData("projectRule", this.getData("tenderProjectRuleEntity"));
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			TianYanCheckComposite featureCodeCheckComposite = new TianYanCheckComposite(composite, SWT.NONE);
			featureCodeCheckComposite.addExpertEvaluationListener((ExpertEvaluationListener)this.getData("expertEvaluationListener"));
			actionListener.loadComposite(this, featureCodeCheckComposite);
		}
	}
}
