package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.VetoBidEvaluationComposite;

/**
 * @Description: 价格评审
 * @author chenxw
 */
public class VetoBidEvaluationAction extends Action {

	public void run() {
		ActionListener actionListener = this.getListener();
		if (null != actionListener) {
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData("hideLeft", this.getData("hideLeft"));
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener) this.getData("expertEvaluationListener");
			VetoBidEvaluationComposite evaluationComposite = new VetoBidEvaluationComposite(composite,this, SWT.NONE);
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
