package com.gx.obe.evaluation.step.entity;

import java.math.BigDecimal;

/**
 * @Description: 商务评审结果
 * @author chenxw
 */
public class BusinessEvalResult {
	
	private String supplierId;
	private String supplierName;
	private BigDecimal bidPrice;
	private BigDecimal evaluationPrice;
	private BigDecimal basePrice;
	private BigDecimal deviationRate;
	private BigDecimal score;
	private int sortNo = Integer.MAX_VALUE;
	
	public BigDecimal getBidPrice() {
		return bidPrice;
	}
	
	public void setBidPrice(BigDecimal bidPrice) {
		this.bidPrice = bidPrice;
	}
	
	public BigDecimal getScore() {
		return score;
	}
	
	public void setScore(BigDecimal score) {
		this.score = score;
	}
	
	public int getSortNo() {
		return sortNo;
	}
	
	public void setSortNo(int sortNo) {
		this.sortNo = sortNo;
	}

	public void setEvaluationPrice(BigDecimal evaluationPrice) {
		this.evaluationPrice = evaluationPrice;
	}

	public BigDecimal getEvaluationPrice() {
		return evaluationPrice;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}

	public String getSupplierName() {
		return supplierName;
	}

	public void setBasePrice(BigDecimal basePrice) {
		this.basePrice = basePrice;
	}

	public BigDecimal getBasePrice() {
		return basePrice;
	}

	public void setDeviationRate(BigDecimal deviationRate) {
		this.deviationRate = deviationRate;
	}

	public BigDecimal getDeviationRate() {
		return deviationRate;
	}
	
}
