package com.gx.obe.evaluation.step.inter;

import java.util.List;

import com.gx.obe.web.entity.boq.BillTable;
import com.gx.obe.web.entity.boq.ConstructProject;
import com.gx.obe.web.entity.boq.ExtraTable;
import com.gx.obe.web.entity.boq.MeasureTable;
import com.gx.obe.web.entity.boq.RatesTable;

public interface BillCheckerCache {

	public void clearCache();
	
	public ConstructProject getConstructProject(String tenderId);
	
	public ConstructProject getSupplierConstructProject(String tenderId, String supplierId);
	
	public List<BillTable> getProjectUnitConstructBillTableList(String tenderId, ConstructProject unitConstructProject);
	public List<BillTable> getSupplierUnitConstructBillTableList(String tenderId, String supplierId, ConstructProject unitConstructProject);
	
	public List<MeasureTable> getProjectUnitConstructMeasureTableList(String tenderId, ConstructProject unitConstructProject);
	public List<MeasureTable> getSupplierUnitConstructMeasureTableList(String tenderId, String supplierId, ConstructProject unitConstructProject);
	
	public List<RatesTable> getSupplierUnitConstructRatesTableList(String tenderId, String supplierId, ConstructProject unitConstructProject, String rateType);

	
	public List<ExtraTable> getProjectUnitConstructExtraTableList(String tenderId, ConstructProject unitConstructProject);
	public List<ExtraTable> getSupplierUnitConstructExtraTableList(String tenderId, String supplierId, ConstructProject unitConstructProject);
}
