package com.gx.obe.evaluation.step.inter;

import java.util.List;

import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.entity.evaluation.EvaluationStep;
import com.gx.obe.web.entity.expert.Expert;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public interface IPriceEvaluationTable {

	/**
	 * @Description: 刷新评标界面
	 * @author guoyr
	 * @param tenderProjectEntity
	 * @param tenderProjectRuleEntity
	 * @param expert
	 * @param evaluationStep
	 * @param supplierList
	 * @param evaluationSupplierFactorListener 
	 */
	public void refresh(TenderProjectEntity tenderProjectEntity, TenderProjectRuleEntity tenderProjectRuleEntity, Expert expert, EvaluationStep evaluationStep, List<Supplier> supplierList);
	
	/**
	 * @Description: 保存价格得分结果
	 * @author guoyr
	 * @return 
	 */
	public boolean savePriceEvaluationResult();
	
	/**
	 * @Description: 提交价格得分结果
	 * @author guoyr
	 * @return 
	 */
	public boolean submitPriceEvaluationResult();
}
