package com.gx.obe.evaluation.step.inter;

import java.util.List;

import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.entity.auth.AuthUser;
import com.gx.obe.web.entity.evaluation.EvaluationStep;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public interface IRecommonedTable {

	/**
	 * @Description: 刷新评标界面
	 * @author guoyr
	 * @param tenderProjectEntity
	 * @param tenderProjectRuleEntity
	 * @param user
	 * @param evaluationStep
	 * @param supplierList
	 * @param evaluationSupplierFactorListener 
	 */
	public void refresh(TenderProjectEntity tenderProjectEntity, TenderProjectRuleEntity tenderProjectRuleEntity, EvaluationStep evaluationStep, AuthUser user, List<Supplier> supplierList);
	
	/**
	 * @Description: 提交推荐结果
	 * @author guoyr
	 * @return 
	 */
	public boolean submitRecommonedEvaluationResult();
}
