package com.gx.obe.evaluation.step.inter;

import com.gx.obe.web.service.SupplierService;
import com.gx.obe.web.service.TorrentFileService;
import com.gx.obe.web.service.evaluation.EvaluationFactorResultService;
import com.gx.obe.web.service.evaluation.EvaluationFactorService;
import com.gx.obe.web.service.evaluation.EvaluationStepService;
import com.gx.obe.web.service.expert.ExpertEvaluationResultService;
import com.gx.obe.web.service.expert.ExpertEvaluationStepService;

/** 
 * @Description: service工厂接口
 * @author chenxw 
 */
public interface IServiceFactory {
	
	SupplierService supplierService = new SupplierService();
	TorrentFileService torrentFileService = new TorrentFileService();
	EvaluationStepService evaluationStepService = new EvaluationStepService();
	EvaluationFactorService evaluationFactorService = new EvaluationFactorService();
	ExpertEvaluationStepService expertEvaluationStepService = new ExpertEvaluationStepService();
	ExpertEvaluationResultService expertEvaluationResultService = new ExpertEvaluationResultService();
	EvaluationFactorResultService evaluationFactorResultService = new EvaluationFactorResultService();
}
