package com.gx.obe.evaluation.step.inter;

import com.gx.obe.web.entity.Struct;

/**
 * @Description: 结构化界面接口
 * @author chenxw
 */
public interface IStruct {
	
	/**
	 * @Description: 刷新
	 * @author chenxw
	 * @param struct 
	 */
	public void refresh(Struct struct);
	
	/**
	 * @Description: 获取标题名称
	 * @author chenxw
	 * @return 
	 */
	public String getTopName();
	
	/**
	 * @Description: 设置样式
	 * @author chenxw
	 * @param gridData 
	 */
	public void setLayoutData(Object gridData);
	
	/**
	 * @Description: 设置是否编辑
	 * @author chenxw
	 * @param isEdit 
	 */
	public void setEdit(boolean isEdit);
	
	/**
	 * @Description: 刷新编辑数据
	 * @author chenxw 
	 */
	public void refreshEditData();
	
}
