package com.gx.obe.evaluation.step.listener;

import java.util.Map;

import com.gx.obe.web.entity.evaluation.EvaluationFactor;
import com.gx.tools.listener.LocationBidFileListener;


public interface CompareBidFileListener {
	/**
	 * @Description: 初始化界面监听
	 * @author guoyr
	 * @param mapListener 
	 */
	public void initListener(Map<String, LocationBidFileListener> mapListener);
	
	
	/**
	 * @Description: 比对界面关闭注销事件
	 * @author guoyr 
	 */
	public void disponsed();
	
	/**
	 * @Description: 获取当前选中指标项
	 * @author guoyr
	 * @return 
	 */
	public EvaluationFactor getSelectEvaluationFactor();
}
