package com.gx.obe.evaluation.step.listener;

import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.entity.evaluation.EvaluationFactor;
import com.gx.obe.web.entity.expert.ExpertEvaluationResult;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 供应商评审监听事件
 * @author guoyr
 */
public interface EvaluationSupplierFactorListener {

	public void clickSupplierFactor(Supplier supplier, EvaluationFactor evaluationFactor, ExpertEvaluationResult expertEvaluationResult);
	
	public void releaseResource(Supplier supplier);
	
	public void configLoadFileCacheCount();
	
	public void openLocalFile(TenderProjectEntity tenderProject, Supplier supplier);
}
