package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.resutl.composite.BusinessEvaluationResultComposite;

/**
 * @Description: 商务评审结果事件
 * @author chenxw
 */
public class BusinessEvaluationResultAction extends Action {
	
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null == actionListener) {
			return;
		}
		actionListener.onLoad(this);
		BusinessEvaluationResultComposite composite = new BusinessEvaluationResultComposite(actionListener.getParentComposite(), SWT.NONE);
		actionListener.loadComposite(this, composite);
		composite.refresh(getTenderProject(), getEvaluationStep(), getTenderProjectRule());
	}
	
}
