package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.resutl.composite.EditPriceResultComposite;
import com.gx.obe.web.entity.evaluation.EvaluationStep;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public class EditPriceResultAction extends Action {
	
	public void run() {
		ActionListener listener = this.getListener();
		if (null == listener) return;
		listener.onLoad(this);
		
//		TenderProjectEntity tenderProjectEntity = (TenderProjectEntity) this.getData("tenderProjectEntity");
		TenderProjectEntity tenderProjectEntity = this.getTenderProject();
		EvaluationStep evaluationStep = (EvaluationStep) this.getData("evaluationStep");
		TenderProjectRuleEntity tenderProjectRuleEntity = this.getTenderProjectRule();
		
		EditPriceResultComposite composite = new EditPriceResultComposite(listener.getParentComposite(), SWT.NONE);
		composite.refresh(tenderProjectEntity, evaluationStep, tenderProjectRuleEntity);
		listener.loadComposite(this, composite);
	}
	
}
