package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.resutl.composite.ExpertSignResultComposite;

/**
 * @Description: 专家签到结果
 * @author guoyr
 */
public class ExpertSignResutlAction extends Action {
    
    @Override
    public void run() {
        ActionListener actionListener = this.getListener();
        if (null != actionListener) {
            actionListener.onLoad(this);
            ExpertSignResultComposite evaluationComposite = new ExpertSignResultComposite(actionListener.getParentComposite(), SWT.NONE);
            evaluationComposite.refresh(this.getTenderProject());
            actionListener.loadComposite(this, evaluationComposite);
        }
    }
}
