package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.resutl.composite.PriceResultComposite;
import com.gx.obe.web.entity.evaluation.EvaluationStep;

/**
 * @Description: 价格评审
 * @author guoyr
 */
public class PriceEvaluationResultAction extends Action {
		
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			EvaluationStep evaluationStep = (EvaluationStep)this.getData("evaluationStep");
			PriceResultComposite evaluationComposite = new PriceResultComposite(actionListener.getParentComposite(), SWT.NONE);
			evaluationComposite.refresh(getTenderProject(), getTenderProjectRule(), evaluationStep, (String)this.getData(Constants.OPERATOR_USERID));
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
