package com.gx.obe.evaluation.step.resutl.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.resutl.composite.TotalPriceResultComposite;
import com.gx.obe.web.entity.evaluation.EvaluationStep;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public class TotalPriceEvaluationResultAction extends Action {
	
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null != actionListener) {
			actionListener.onLoad(this);
			TenderProjectEntity tenderProjectEntity = this.getTenderProject();
			TenderProjectRuleEntity tenderProjectRuleEntity = this.getTenderProjectRule();
			EvaluationStep evaluationStep = (EvaluationStep)this.getData("evaluationStep");
			TotalPriceResultComposite evaluationComposite = new TotalPriceResultComposite(actionListener.getParentComposite(), SWT.NONE);
			evaluationComposite.refresh(tenderProjectEntity, tenderProjectRuleEntity, evaluationStep, (String)this.getData(Constants.OPERATOR_USERID));
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
	
}
