package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.WasteBidProjectEvaluationComposite;

/** 
 * @Description: 废标
 * @author wangxiang 
 */
public class AbandonEvalutionAction extends Action {

	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null != actionListener) {
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProject", this.getTenderProject());
			composite.setData("evaluationStep", this.getEvaluationStep());
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			if (null != this.getData("hideLeft")) {
				composite.setData("hideLeft", this.getData("hideLeft"));
			}
			if (null != this.getData("result")) {
				composite.setData("result",this.getData("result"));
			}
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener) this.getData("expertEvaluationListener");
			WasteBidProjectEvaluationComposite evaluationComposite = new WasteBidProjectEvaluationComposite(composite, SWT.NONE);
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}

}
