package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.BusinessVetoEvaluationComposite;

/**
 * @Description: 商务评审事件
 * @author chenxw
 */
public class BusinessVetoEvaluationAction extends Action {
	
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null == actionListener) {
			return;
		}
		actionListener.onLoad(this);
		Composite parentComposite = actionListener.getParentComposite();
		parentComposite.setData("tenderProject", this.getData("tenderProject"));
		parentComposite.setData("evaluationStep", this.getData("evaluationStep"));
		parentComposite.setData("expert", this.getData("expert"));
		parentComposite.setData("hideLeft", this.getData("hideLeft"));
		BusinessVetoEvaluationComposite composite = new BusinessVetoEvaluationComposite(parentComposite, SWT.NONE);
		actionListener.loadComposite(this, composite);
		composite.addExpertEvaluationListener((ExpertEvaluationListener) this.getData("expertEvaluationListener"));
	}
	
}
