package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.BusinessClearTenderComposite;

/**
 * @Description: 清标
 * @author guoyr
 */
public class ClearTenderEvaluationAction extends Action {
	public void run() {
		ActionListener actionListener = this.getListener();
		if (null != actionListener) {
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProject", this.getTenderProject());
			composite.setData("projectRule", this.getTenderProjectRule());
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			BusinessClearTenderComposite factorEvaluationComposite = new BusinessClearTenderComposite(composite, SWT.NONE);
			factorEvaluationComposite.addExpertEvaluationListener((ExpertEvaluationListener) this.getData("expertEvaluationListener"));
			actionListener.loadComposite(this, factorEvaluationComposite);
		}
	}
}
