package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.ExpertSignEvaluationComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 专家签到
 * @author guoyr
 */
public class ExpertSignEvaluationAction extends Action {
	public void run(){
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			TenderProjectEntity tenderProject = this.getTenderProject();
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProjectEntity", tenderProject);
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			ExpertSignEvaluationComposite evaluationComposite = new ExpertSignEvaluationComposite(composite, SWT.NONE);
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
