package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.FeatureCodeCheckComposite;

/**
 * @Description: 特征码检查
 * @author guoyr
 */
public class FeatureCodeCheckEvaluationAction extends Action {
	public void run(){
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProjectEntity", this.getData("tenderProjectEntity"));
			composite.setData("tenderProjectRuleEntity", this.getData("tenderProjectRuleEntity"));
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			FeatureCodeCheckComposite featureCodeCheckComposite = new FeatureCodeCheckComposite(composite, SWT.NONE);
			featureCodeCheckComposite.addExpertEvaluationListener((ExpertEvaluationListener)this.getData("expertEvaluationListener"));
			actionListener.loadComposite(this, featureCodeCheckComposite);
		}
	}
}
