package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.PriceEvaluationComposite;

/**
 * @Description: 价格评审
 * @author guoyr
 */
public class PriceEvaluationAction extends Action {
		
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			if(null != this.getData("hideLeft")){
				composite.setData("hideLeft", this.getData("hideLeft"));
			}
			
			composite.setData("menu",this.getData("menu"));
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			PriceEvaluationComposite evaluationComposite = new PriceEvaluationComposite(composite,this, SWT.NONE);
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
