package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.RecommonedEvaluationComposite;

/**
 * @Description: 推荐中标候选人
 * @author guoyr
 */
public class RecommonedEvaluationAction extends Action {
		
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			if(null != this.getData("hideLeft")){
				composite.setData("hideLeft", this.getData("hideLeft"));
			}
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			RecommonedEvaluationComposite evaluationComposite = new RecommonedEvaluationComposite(composite,this, SWT.NONE);
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
