package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.PriceEvaluationComposite;
import com.gx.obe.evaluation.step.review.composite.TianYanCheckEvaluationComposite;

public class TianYanCheckAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			if(null != this.getData("hideLeft")){
				composite.setData("hideLeft", this.getData("hideLeft"));
			}
			
			composite.setData("menu",this.getData("menu"));
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			TianYanCheckEvaluationComposite TianYanCheckEvaluationComposite = new TianYanCheckEvaluationComposite(composite,this, SWT.NONE);
			TianYanCheckEvaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, TianYanCheckEvaluationComposite);
		}
	}
}
