package com.gx.obe.evaluation.step.review.action;


import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.components.core.Constants;
import com.gx.obe.evaluation.step.composite.TianYanCheckResultComposite;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.web.entity.tender.TenderProjectEntity;


/**
 * @Description: 天眼查关联关系
 * @author wangx
 */
public class TianYanCheckResultAction extends Action {
		
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			TenderProjectEntity tenderProject = this.getTenderProject();
			Composite composite = actionListener.getParentComposite();
			composite.setData("tenderProject", tenderProject);
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData(Constants.CUR_EXPERT, this.getData(Constants.CUR_EXPERT));
			TianYanCheckResultComposite evaluationComposite = new TianYanCheckResultComposite(composite, SWT.NONE);
			ExpertEvaluationListener expertEvaluationListener = (ExpertEvaluationListener)this.getData("expertEvaluationListener");
			evaluationComposite.addExpertEvaluationListener(expertEvaluationListener);
			actionListener.loadComposite(this, evaluationComposite);
		}
	}
}
