package com.gx.obe.evaluation.step.review.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.listener.ExpertEvaluationListener;
import com.gx.obe.evaluation.step.review.composite.TotalPriceEvaluationComposite;

public class TotalPriceEvaluationAction extends Action {

	public void run() {
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			Composite composite = actionListener.getParentComposite();
			composite.setData("evaluationStep", this.getData("evaluationStep"));
			composite.setData("hideLeft", this.getData("hideLeft"));
			TotalPriceEvaluationComposite totalPriceEvaluationComposite = new TotalPriceEvaluationComposite(composite,this, SWT.NONE);
			totalPriceEvaluationComposite.addExpertEvaluationListener((ExpertEvaluationListener) this.getData("expertEvaluationListener"));
			actionListener.loadComposite(this, totalPriceEvaluationComposite);
		}
	}

}
